# stl_stack.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_stack.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _STACK_H

## Functions

- template<typename _Tp, typename _Seq> bool operator!= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
- template<typename _Tp, typename _Seq> bool operator< (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
- template<typename _Tp, typename _Seq> bool operator<= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
- template<typename _Tp, typename _Seq> bool operator== (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
- template<typename _Tp, typename _Seq> bool operator> (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
- template<typename _Tp, typename _Seq> bool operator>= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)

## Function Documentation

bool std::operator!= | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

| Based on operator==. Definition at line 250 of file stl_stack.h.

bool operator< | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

Stack ordering relation.

Parameters:

  | x | A stack.
  | y | A stack of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is an total ordering relation. Complexity and semantics depend on the underlying sequence type, but the expected rules are: this relation is linear in the size of the sequences, the elements must be comparable with `<`, and std::lexicographical_compare() is usually used to make the determination.

Definition at line 244 of file stl_stack.h.

bool std::operator<= | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 262 of file stl_stack.h.

bool operator== | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

Stack equality comparison.

Parameters:

  | x | A stack.
  | y | A stack of the same type as x.

Returns:
  True iff the size and elements of the stacks are equal.

This is an equivalence relation. Complexity and semantics depend on the underlying sequence type, but the expected rules are: this relation is linear in the size of the sequences, and stacks are considered equivalent if their sequences compare equal.

Definition at line 226 of file stl_stack.h.

References stack::c.

bool std::operator> | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 256 of file stl_stack.h.

bool std::operator>= | ( | const stack< _Tp, _Seq > & | __x,
|  | const stack< _Tp, _Seq > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 268 of file stl_stack.h.